*******************************************************************************
****** This main do file calls various programs that jointly produce 
****** the main estimates 
*******************************************************************************



clear all


**** Create Abadie Weights

quietly do Abadieweights.do

**** Create Point Estimates for main DID table + analogue Guaranteed Issue Table in the robustness check

quietly do PointestimatesDID.do
 
**** Create Confidence intervals around these point estimates (Baseline Table)

quietly do Bootstrap_DID.do

**** Create Confidence intervals around these point estimates (Guranteed Issue Table)

quietly do Bootstrap_DIDgi.do

**** Calculate welfare effects including bootstrapped standard errors

quietly do Bootstrap_welfare.do

**** DID Graphs baselinne analysis

quietly do DIDgraphs.do

**** DID Graphs (Guarenteed Issue Figures)

quietly do DIDgraphsgi.do

***************************************************************
**** Robustness Checks
***************************************************************


**** Controlling for demographic trends

*** Point estimates

quietly do demo_robcheck_pointestimates.do

*** Bootstrap

quietly do demo_robcheck_bootstrap.do


**** MEPS Calculation

do MEPS_robcheck.do

**** HMO rob check

do hmo_robcheck.do

**** Placebo Checks

do placebo_master.do

**** Aterntaive Bootstrap

do Alternativetobootstrap.do


